#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Python -*-

"""
 @file MapDataDBControl_idl_examplefile.py
 @brief Python example implementations generated from MapDataDBControl.idl
 @date $Date$

 @author 株式会社 東日本計算センター

 プロジェクト方針決定後に記載

"""

import omniORB
from omniORB import CORBA, PortableServer
import MapDataDBReqServ, MapDataDBReqServ__POA
import MapDataDBReqServ, MapDataDBReqServ__POA
import MapDataDBReqServ, MapDataDBReqServ__POA
import MapDataDBReqServ, MapDataDBReqServ__POA
import MapDataDBReqServ, MapDataDBReqServ__POA
import MapDataDBReqServ, MapDataDBReqServ__POA
import MapDataDBStsServ, MapDataDBStsServ__POA

# ========== 共通 ==========
import VersatileOverheadSystem as imp_Versatile

# ==========================================
#        地図データDB登録要求
# ==========================================
class MapDBReqRegistAddData_i (MapDataDBReqServ__POA.MapDBReqRegistAddData):
    """
    @class MapDBReqRegistAddData_i
    Example class implementing IDL interface MapDataDBReqServ.MapDBReqRegistAddData
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        #self._sFileName = ""
        self.clrMapDBReqRegistAddData()
        
        pass

    # unsigned short usSetMapDBReqRegistAddData(in string sFileName)
    def usSetMapDBReqRegistAddData(self, sFileName):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: result
        
        if sFileName != "":
             # ===== チェックOK =====
            self._sFileName = sFileName
            return imp_Versatile.RESULT_ACK
        else:
            # ===== チェックNG =====
            print u"[error]", u"地図画像付加データ情報取得要求 パラメータ不整合です" ,u"地図データ", sFileName 
            return imp_Versatile.RESULT_NACK

    # void GetMapDBReqRegistAddData(out string sFileName)
    def GetMapDBReqRegistAddData(self):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: sFileName
        
        return (self._sFileName)
    
    # データクリア
    def clrMapDBReqRegistAddData(self):
        self._sFileName = ""
        
        return

# ====================================================
#        地図画像付加データ情報取得要求
# ====================================================
class MapDBReqGetAddDataInfo_i (MapDataDBReqServ__POA.MapDBReqGetAddDataInfo):
    """
    @class MapDBReqGetAddDataInfo_i
    Example class implementing IDL interface MapDataDBReqServ.MapDBReqGetAddDataInfo
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        #self._ulGroupId = imp_Versatile.GROUP_ID_NON
        #self._ulZoomLevel = imp_Versatile.ZOOM_LEVEL_DEF
        self.clrMapDBReqGetAddDataInfo()
        
        pass

    # unsigned short usSetMapDBReqGetAddDataInfo(in unsigned long ulGroupId, in unsigned long ulZoomLevel)
    def usSetMapDBReqGetAddDataInfo(self, ulGroupId, ulZoomLevel):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: result

        # ========== 範囲チェック ==========
        # ===== グループID =====        
        if (str(ulGroupId).replace(".","").isdigit() and ulGroupId >= 1):
            self._ulGroupId = ulGroupId
        else:
            # ===== チェックNG =====
            print u"[error]", u"地図画像付加データ情報取得要求 パラメータ不整合です" ,u"グループID", ulGroupId
            return imp_Versatile.RESULT_NACK
        
        # ===== ズームレベル =====
        if (str(ulZoomLevel).replace(".","").isdigit() and  
              (ulZoomLevel >= imp_Versatile.ZOOM_LEVEL_MIN and ulZoomLevel <= imp_Versatile.ZOOM_LEVEL_MAX)):
            self._ulZoomLevel = ulZoomLevel
            return imp_Versatile.RESULT_ACK
        else:
            # ===== チェックNG =====
            print u"[error]", u"地図画像付加データ情報取得要求 パラメータ不整合です",u"ズームレベル", ulZoomLevel
            return imp_Versatile.RESULT_NACK       

    # void GetMapDBReqGetAddDataInfo(out unsigned long ulGroupId, out unsigned long ulZoomLevel)
    def GetMapDBReqGetAddDataInfo(self):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: ulGroupId, ulZoomLevel
        
        return (self._ulGroupId, self._ulZoomLevel)
    
    # データクリア
    def clrMapDBReqGetAddDataInfo(self):
        self._ulGroupId = imp_Versatile.GROUP_ID_NON
        self._ulZoomLevel = imp_Versatile.ZOOM_LEVEL_DEF
        
        return


# ================================================
#        地図画像付加データ取得要求
# ================================================
class MapDBReqGetAddData_i (MapDataDBReqServ__POA.MapDBReqGetAddData):
    """
    @class MapDBReqGetAddData_i
    Example class implementing IDL interface MapDataDBReqServ.MapDBReqGetAddData
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        #self._ulGroupId = imp_Versatile.GROUP_ID_NON
        #self._ulZoomLevel = imp_Versatile.ZOOM_LEVEL_DEF
        #self._ulTileX = 0
        #self._ulTileY = 0
        self.clrMapDBReqGetAddData()
        
        pass

    # unsigned short usSetMapDBReqGetAddData(in unsigned long ulGroupId, in unsigned long ulZoomLevel, in unsigned long ulTileX, in unsigned long ulTileY)
    def usSetMapDBReqGetAddData(self, ulGroupId, ulZoomLevel, ulTileX, ulTileY):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: result
        
        # ========== 範囲チェック ==========
        # ===== グループID =====
        if (str(ulGroupId).replace(".","").isdigit() and ulGroupId >= 1):
            self._ulGroupId =  ulGroupId
        else:
            print u"[error]", u"地図画像付加データ取得要求 パラメータ不整合です" ,u"グループID", ulGroupId
            return imp_Versatile.RESULT_NACK          
        # ===== ズームレベル =====
        if (str(ulZoomLevel).replace(".","").isdigit() and  
              (ulZoomLevel >= imp_Versatile.ZOOM_LEVEL_MIN and ulZoomLevel <= imp_Versatile.ZOOM_LEVEL_MAX)):
            self._ulZoomLevel = ulZoomLevel
        else:
            # ===== チェックNG =====
            print u"[error]", u"地図画像付加データ取得要求 パラメータ不整合です",u"ズームレベル", ulZoomLevel
            return imp_Versatile.RESULT_NACK       

        # ===== X座標 =====
        if str(ulTileX).replace(".","").isdigit():
            self._ulTileX = ulTileX
        else:
            # ===== チェックNG =====
            print u"[error]", u"地図画像付加データ取得要求 パラメータ不整合です",u"X座標", ulTileX 
            return imp_Versatile.RESULT_NACK              

        # ===== Y座標 =====
        if str(ulTileY).replace(".","").isdigit():
            self._ulTileY = ulTileY
            return imp_Versatile.RESULT_ACK
        else:
            # ===== チェックNG =====
            print u"[error]", u"地図画像付加データ取得要求 パラメータ不整合です",u"Y座標", ulTileY
            return imp_Versatile.RESULT_NACK              
               

    # void GetMapDBReqGetAddData(out unsigned long ulGroupId, out unsigned long ulZoomLevel, out unsigned long ulTileX, out unsigned long ulTileY)
    def GetMapDBReqGetAddData(self):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: ulZoomLevel, ulTileX, ulTileY
        
        return (self._ulGroupId, self._ulZoomLevel, self._ulTileX, self._ulTileY)
    
    # データクリア
    def clrMapDBReqGetAddData(self):
        self._ulGroupId = imp_Versatile.GROUP_ID_NON
        self._ulZoomLevel = imp_Versatile.ZOOM_LEVEL_DEF
        self._ulTileX = 0
        self._ulTileY = 0
        
        return
    

# ============================================
#        合成計画リスト作成要求
# ============================================
class MapDBReqMakeSynthesisPlanList_i (MapDataDBReqServ__POA.MapDBReqMakeSynthesisPlanList):
    """
    @class MapDBReqMakeSynthesisPlanList_i
    Example class implementing IDL interface MapDataDBReqServ.MapDBReqMakeSynthesisPlanList
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        #self._ulReq = imp_Versatile.SERV_REQ_CLEAR
        self.clrMapDBReqMakeSynthesisPlanList()
        
        pass

    # unsigned short usSetMapDBReqMakeSynthesisPlanList(in unsigned long ulReq)
    def usSetMapDBReqMakeSynthesisPlanList(self, ulReq):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: result

        # ========== 範囲チェック ==========
        # ===== 要求有無 =====
        if (ulReq >= imp_Versatile.SERV_REQ_CLEAR and ulReq <= imp_Versatile.SERV_REQ_SET):    
            self._ulReq = ulReq
            return imp_Versatile.RESULT_ACK
        else:
            print "[error]", u"合成計画リスト作成要求 パラメータ不整合です" ,u"要求有無", ulReq
            return imp_Versatile.RESULT_NACK        


    # void GetMapDBReqMakeSynthesisPlanList(out unsigned long ulReq)
    def GetMapDBReqMakeSynthesisPlanList(self):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: ulReq
        
        return (self._ulReq)
    
    # データクリア
    def clrMapDBReqMakeSynthesisPlanList(self):
        self._ulReq = imp_Versatile.SERV_REQ_CLEAR
        
        return
    

# ============================================
#        合成計画リスト取得要求
# ============================================
class MapDBReqGetSynthesisPlanList_i (MapDataDBReqServ__POA.MapDBReqGetSynthesisPlanList):
    """
    @class MapDBReqGetSynthesisPlanList_i
    Example class implementing IDL interface MapDataDBReqServ.MapDBReqGetSynthesisPlanList
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        #self._ulReq = imp_Versatile.SERV_REQ_CLEAR
        self.clrMapDBReqGetSynthesisPlanList()
        
        pass

    # unsigned short usSetMapDBReqGetSynthesisPlanList(in unsigned long ulReq)
    def usSetMapDBReqGetSynthesisPlanList(self, ulReq):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: result

        # ========== 範囲チェック ==========
        # ===== 要求有無 =====
        if (ulReq >= imp_Versatile.SERV_REQ_CLEAR and ulReq <= imp_Versatile.SERV_REQ_SET):    
            self._ulReq = ulReq
            return imp_Versatile.RESULT_ACK
        else:
            print "[error]", u"合成計画リスト取得要求 パラメータ不整合です" ,u"要求有無", ulReq
            return imp_Versatile.RESULT_NACK        


    # void GetMapDBReqGetSynthesisPlanList(out unsigned long ulReq)
    def GetMapDBReqGetSynthesisPlanList(self):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: ulReq

        return (self._ulReq)
    
    # データクリア
    def clrMapDBReqGetSynthesisPlanList(self):
        self._ulReq = imp_Versatile.SERV_REQ_CLEAR
        
        return


# ============================================
#        合成計画リスト削除要求
# ============================================
class MapDBReqDelSynthesisPlanList_i (MapDataDBReqServ__POA.MapDBReqDelSynthesisPlanList):
    """
    @class MapDBReqDelSynthesisPlanList_i
    Example class implementing IDL interface MapDataDBReqServ.MapDBReqDelSynthesisPlanList
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        #self._ulGroupId = imp_Versatile.GROUP_ID_NON
        self.clrMapDBReqDelSynthesisPlanList()
        
        pass

    # unsigned short usSetMapDBReqDelSynthesisPlanList(in unsigned long ulGroupId)
    def usSetMapDBReqDelSynthesisPlanList(self, ulGroupId):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: result

        # ========== 範囲チェック ==========
        # ===== グループID =====        
        if (str(ulGroupId).replace(".","").isdigit() and ulGroupId >= 1):
            self._ulGroupId = ulGroupId
            return imp_Versatile.RESULT_ACK
        else:
            # ===== チェックNG =====
            print u"[error]", u"合成計画リスト削除要求 パラメータ不整合です" ,u"グループID", ulGroupId 
            return imp_Versatile.RESULT_NACK


    # void GetMapDBReqDelSynthesisPlanList(out unsigned long ulGroupId)
    def GetMapDBReqDelSynthesisPlanList(self):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: ulGroupId
        
        return (self._ulGroupId)
    
    # データクリア
    def clrMapDBReqDelSynthesisPlanList(self):
        self._ulGroupId = imp_Versatile.GROUP_ID_NON
        
        return


# ================================================
#        地図データDBステータス通知
# ================================================
class MapDataDBNotice_i (MapDataDBStsServ__POA.MapDataDBNotice):
    """
    @class MapDataDBNotice_i
    Example class implementing IDL interface MapDataDBStsServ.MapDataDBNotice
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        #self._ulNotice = imp_Versatile.NOTICE_INIT
        #self._ulPram = imp_Versatile.NOTICE_PARAM_INIT
        self.clrMapDataDBNotice()
        pass

    # unsigned short usSetMapDataDBNotice(in unsigned long ulNotice, in unsigned long ulPram)
    def usSetMapDataDBNotice(self, ulNotice, ulPram):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: result
        
        self._ulNotice = ulNotice
        self._ulPram = ulPram
        return imp_Versatile.RESULT_ACK

    # void GetMapDataDBNotice(out unsigned long ulNotice, out unsigned long ulPram)
    def GetMapDataDBNotice(self):
        #raise CORBA.NO_IMPLEMENT(0, CORBA.COMPLETED_NO)
        # *** Implement me
        # Must return: ulNotice, ulPram
        
        return (self._ulNotice, self._ulPram)
    
    # データクリア
    def clrMapDataDBNotice(self):
        self._ulNotice = imp_Versatile.NOTICE_INIT
        self._ulPram = imp_Versatile.NOTICE_PARAM_INIT
        
        return



if __name__ == "__main__":
    import sys
    
    # Initialise the ORB
    orb = CORBA.ORB_init(sys.argv)
    
    # As an example, we activate an object in the Root POA
    poa = orb.resolve_initial_references("RootPOA")

    # Create an instance of a servant class
    servant = MapDBReqRegistAddData_i()

    # Activate it in the Root POA
    poa.activate_object(servant)

    # Get the object reference to the object
    objref = servant._this()
    
    # Print a stringified IOR for it
    print orb.object_to_string(objref)

    # Activate the Root POA's manager
    poa._get_the_POAManager().activate()

    # Run the ORB, blocking this thread
    orb.run()

