#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Python -*-

# ***************************************************************
#    マクロ定義
# ***************************************************************/
# /*-----------------------------------------------
#    共通
# -----------------------------------------------*/
# // 処理結果
RESULT_SUCCESS               = 0                 # //実行結果OK
RESULT_ERROR                 = 1                 # //実行結果NG

# // リトライ関連
RETRY_MAX_NUM                = 10                # //リトライ回数
RETRY_WAIT_TIME              = 500               # //リトライwait

# // フォルダパス            
STRING_BUFF_MAX_SIZE         = 256                                # //string格納領域のサイズ
FOLDER_PATH_INIT             = ("")                               # //初期値
ROBOT_BASE_FOLDER_PATH       = ("c:/DBRelateData/RobotData/")     # //付加データのBaseアドレス
ROBOT_BASE_PATH_LENGTH       = 26                                 # //付加データのBaseアドレスデータ長
ADDITIONAL_DATA_FOLDER       = ("Additional data/")               # //ロボット撮影付加データフォルダ
PICTURE_FOLDER               = ("Picture/")                       # //ロボット撮影画像データフォルダ
MAP_BASE_FOLDER_PATH         = ("c:/DBRelateData/MapData/")       # //地図データのBaseアドレス
MAP_BASE_PATH_LENGTH         = 24                                 # //地図データのBaseアドレスデータ長
TILE_FOLDER                  = ("Tile/")                          # //地図データフォルダ
AP_FOLDER                    = ("AerialPhotograph/")              # //地図データの航空写真フォルダ
MAP_TILE_FOLDER_PATH_LENGTH  = (MAP_BASE_PATH_LENGTH + 5)         # //地図データのタイルフォルダアドレスデータ長


# // ロボットカテゴリー
ROBOT_CATEGORY_DRONE         = 1                      # //ドローン
ROBOT_CATEGORY_CRAWLER       = 2                      # //クローラ
ROBOT_CATEGORY_GORONE        = 3                      # //ゴローン
ROBOT_CATEGORY_MAX           = 4                      # //MAX
ROBOT_CATEGORY_INIT          = 0                      # //初期値

# // 計画リスト            
GROUP_ID_NON                 = 0                 # //計画リストのグループIDなし
PLAN_LIST_NUM_MAX            = 100               # //計画リストMAX

# //データ受け渡し用フォルダ（rtc間で受け渡すpng、jsonファイルなどを格納）
TMP_FOLDER_PATH              = "c:/workspace/tmp"     # //Tmpフォルダパス


# /*-----------------------------------------------
#    サービスポート関連
# -----------------------------------------------*/
# // サービスポートの要求受け取り可否
RESULT_ACK                   = 0                 # //要求を受け取った
RESULT_NACK                  = 1                 # //要求を受け取れない
RESULT_BUSY                  = 2                 # //動作中で要求を受け取れない

# // 要求有無
SERV_REQ_CLEAR               = 0                 # //要求無
SERV_REQ_SET                 = 1                 # //要求有

# // 通知
NOTICE_INIT                  = 0xFFFFFFFF        # //通知初期値
NOTICE_PARAM_INIT            = 0xFFFFFFFF        # //パラメータ初期値


# // ================================================
# //     Maneger関連
# // ================================================
# // マネージャコンポーネントのデータ取得要求サービスポートパラメータ
MGR_REQ_NONE                    = 0             # //要求なし
MGR_REQ_GET_PLAN_LIST           = 1             # //撮影計画、合成計画リスト取得要求
MGR_REQ_GET_MAP_IMAGE           = 2             # //地図画像取得要求
MGR_REQ_GET_AROUND_VIEW_IMAGE   = 3             # //Araound View画像取得要求
MGR_REQ_GET_ROAD_VIEW_IMAGE     = 4             # //Road View画像取得要求
MGR_REQ_MAX                     = 5             # //要求MAX

# // マネージャコンポーネントのステータス提供サービスポートパラメータ
MGR_MODE_INIT                   = 0             # //起動処理中
MGR_MODE_ALL_LIST_READ          = 1             # //全リスト読み込み中
MGR_MODE_IDLE                   = 2             # //待機中
MGR_MODE_DB_REGISTRATION        = 3             # //DB登録中
MGR_MODE_TILE_GENERATION        = 4             # //タイル生成中
MGR_MODE_DISP_READY             = 5             # //表示準備日中
MGR_MODE_SYNTHE_LIST_DEL        = 6             # //合成計画リスト削除中
MGR_MODE_ERROR                  = 7             # //エラー状態
MGR_MODE_MAX                    = 8             # //MODE MAX

# //  マネージャ動作完了通知
MGR_NOTICE_ALL_LIST_READ_SUCCESS    = 0         # //全リスト読み込みに成功しました
MGR_NOTICE_ALL_LIST_READ_ERROR      = 1         # //全リスト読み込みに失敗しました
MGR_NOTICE_DB_REGIST_SUCCESS        = 2         # //DB登録に成功しました
MGR_NOTICE_DB_REGIST_ERROR          = 3         # //DB登録に失敗しました
MGR_NOTICE_TILE_GENERATE_SUCCESS    = 4         # //タイル生成に成功しました
MGR_NOTICE_TILE_GENERATE_ERROR      = 5         # //タイル生成に失敗しました
MGR_NOTICE_SYNTHE_LIST_DEL_SUCCESS  = 6         # //合成計画リスト削除に成功しました
MGR_NOTICE_SYNTHE_LIST_DEL_ERROR    = 7         # //合成計画リスト削除に失敗しました
MGR_NOTICE_MAP_IMAGE_DISP_SUCCESS   = 8         # //地図画像更新に成功しました
MGR_NOTICE_MAP_IMAGE_DISP_ERROR     = 9         # //地図画像更新に失敗しました
MGR_NOTICE_MAP_SCROLL_SUCCESS       = 10        # //地図画面スクロールに成功しました
MGR_NOTICE_MAP_SCROLL_ERROR         = 11        # //地図画面スクロールに失敗しました
MGR_NOTICE_MAP_ZOOM_CHG_SUCCESS     = 12        # //地図画面のズームレベル切り替えに成功しました
MGR_NOTICE_MAP_ZOOM_CHG_ERROR       = 13        # //地図画面のズームレベル切り替えに失敗しました
MGR_NOTICE_MAP_CHG_SUCCESS          = 14        # //地図切り替えに成功しました
MGR_NOTICE_MAP_CHG_ERROR            = 15        # //地図切り替えに失敗しました
MGR_NOTICE_ARROUND_VIEW_SUCCESS     = 16        # //Around View画像表示に成功しました
MGR_NOTICE_ARROUND_VIEW_ERROR       = 17        # //Around View画像表示に失敗しました
MGR_NOTICE_ROAD_VIEW_SUCCESS        = 18        # //Road View画像表示に成功しました
MGR_NOTICE_ROAD_VIEW_ERROR          = 19        # //Road View画像表示に失敗しました
MGR_NOTICE_SUB_IMAGE_OFF_SUCCESS    = 20        # //Sub画面の表示初期化に成功しました
MGR_NOTICE_SUB_IMAGE_OFF_ERROR      = 21        # //Sub画面の表示初期化に失敗しました
MGR_NOTICE_ROAD_SLIDE_SUCCESS       = 22        # //Road Viewスライド切り替えに成功しました
MGR_NOTICE_ROAD_SLIDE_ERROR         = 23        # //Road Viewスライド切り替えに失敗しました
MGR_NOTICE_INIT_WARNING             = 24        # //起動処理中のためKey操作は無効です
MGR_NOTICE_RUN_WARNING              = 25        # //動作中のためKey操作は無効です
MGR_NOTICE_ERROR                    = 26        # //エラー発生中のためKey操作は無効です
MGR_NOTICE_MAX                      = 27        # //完了通知MAX


# //  ================================================
# //      調整機能関連
# //  ================================================
# //  操作画面種別
OPE_SCREEN_MAIN         = 0                     # //メイン画面を操作
OPE_SCREEN_SUB          = 1                     # //サブ画面を操作
OPE_SCREEN_MAX          = 2                     # //MAX
OPE_SCREEN_DEF          = OPE_SCREEN_MAIN       # //初期値

# //  SUB画面表示要求種別
SUB_SCREEN_OFF          = 0                     # //画面OFF選択
SUB_SCREEN_AROUND_VIEW  = 1                     # //Arround View選択
SUB_SCREEN_ROAD_VIEW    = 2                     # //Road View選択
SUB_SCREEN_MAX          = 3                     # //MAX
SUB_SCREEN_VIEW_DEF     = SUB_SCREEN_OFF        # //初期値

# //  十字キー
ARROW_OFF               = 0                     # //OFF
ARROW_UP                = 1                     # //上
ARROW_DOWN              = 2                     # //下
ARROW_LEFT              = 3                     # //左
ARROW_RIGHT             = 4                     # //右
ARROW_MAX               = 5                     # //MAX
ARROW_DEF               = ARROW_OFF             # //初期値

# //  向き調整
DIRECTION_STEP_MIN      = -180                  # //左に180°
DIRECTION_STEP_MID      = 0                     # //センター
DIRECTION_STEP_MAX      = 180                   # //右に180°
DIRECTION_STEP_DEF      = DIRECTION_STEP_MID    # //初期値

# // スケール
SCALE_STEP_SMALL        = 0                     # //小
SCALE_STEP_MIDDLE       = 1                     # //中
SCALE_STEP_LARGE        = 2                     # //大
SCALE_STEP_MAX          = 3                     # //MAX
SCALE_STEP_DEF          = SCALE_STEP_SMALL      # //初期値

# //ズームレベル設定(画像付加DB登録時などに使用)
ZOOM_LEVEL_18           = 18                    # //ズームレベル18
ZOOM_LEVEL_19           = 19                    # //ズームレベル19
ZOOM_LEVEL_20           = 20                    # //ズームレベル20
ZOOM_LEVEL_21           = 21                    # //ズームレベル21
ZOOM_LEVEL_MIN          = ZOOM_LEVEL_18         # //MIN
ZOOM_LEVEL_MAX          = ZOOM_LEVEL_21         # //MAX
ZOOM_LEVEL_DEF          = ZOOM_LEVEL_18         # //初期値

# //ズームレベル調整(GUIで使用)
ZOOM_ADJ_OFF            = 0                     # //キーOFF
ZOOM_ADJ_UP             = 1                     # //ズームレベル調整Up方向
ZOOM_ADJ_DOWN           = 2                     # //ズームレベル調整Down方向
ZOOM_ADJ_MAX            = 3                     # //MAX

# // 地図切り替え
MAP_KIND_DRONE          = 0                     # //ドローン航空写真
MAP_KIND_BASIC          = 1                     # //基準地図
MAP_KIND_MAX            = 2                     # //MAX
MAP_CHENGE_DEF          = MAP_KIND_DRONE        # //初期値


# // ================================================
# //     画像付加データDB
# // ================================================
# // 座標指定画像付加データ
COORDINATE_DATA_MAX               = 50                     # //最大値

# // 撮影時刻順画像付加データ
SHOOTING_TIME_DATA_MAX            = 1                      # //最大値

# // 撮影時刻順画像付加データ取得(画像取得区分)
SHOOTING_IMAGE_ACQ_STOP           = 0                      # //STOP 初期値
SHOOTING_IMAGE_ACQ_START          = 1                      # //START
SHOOTING_IMAGE_ACQ_UP             = 2                      # //UP
SHOOTING_IMAGE_ACQ_DOWN           = 3                      # //DOWN

# // 座標(緯度)
LATITUBE_NIN                      = 20.4252777777777       # //最小値
LATITUBE_MAX                      = 45.5574997222222       # //最大値

# // 座標(経度)
LONGITUDE_MIN                     = 122.936388888888       # //最小値
LONGITUDE_MAX                     = 153.986666388888       # //最大値 

# // 高度
ALTITUDE_NIN                      = 1                      # //最小値(m)
ALTITUDE_MAX                      = 100                    # //最大値(m)

# // CSV 関連
CSV_FILE_NAME_LENGH               = 50                     # //ファイル名
CSV_FOLDER_PATH_LENGTH            = 50                     # //フォルダ名
CSV_IMAGE_WIDTH_MAX               = 4000                   # //画像サイズ幅
CSV_IMAGE_HEIGHT_MAX              = 3000                   # //画像サイズ高さ
CSV_ROBOT_IDENTIFIER_LENGH        = 11                     # //ロボット識別子
CSV_CAMERA_NO_MAX                 = 255                    # //カメラNO
CSV_ROBOT_DIRECTION_MIN           = 0                      # //傾き（方向）Min
CSV_ROBOT_DIRECTION_MAX           = 360                    # //傾き（方向）Max
CSV_ROBOT_PITCH_MIN               = -180                   # //傾き（ピッチ角)Min
CSV_ROBOT_PITCH_MAX               = 180                    # //傾き（ピッチ角)Max
CSV_ROBOT_ROLL_MIN                = -180                   # //傾き（ロール角）Min
CSV_ROBOT_ROLL_MAX                = 180                    # //傾き（ロール角）Max
CSV_SHOOTING_PLAN_NAME_LENGH      = 30                     # //撮影計画名
CSV_FOLDER_EXTENSION              = ("/*.csv" )            # //CSVファイル拡張子
CSV_COLUMN_MAX                    = 15                     # //CSVファイル拡張子 

# //画像付加データのJsonキー関連
IMGADDDB_FILE_NAME                = "file_name"            # //ファイル名
IMGADDDB_FOLDER_PATH              = "folder_path"          # //フォルダパス
IMGADDDB_IMAGE_WIDTH              = "image_width"          # //画像幅
IMGADDDB_IMAGE_HEIGHT             = "image_height"         # //画像高さ
IMGADDDB_ROBOT_IDENTIFIER         = "robot_identifier"     # //ロボット識別子
IMGADDDB_CAMERA_NO                = "camera_no"            # //カメラNo
IMGADDDB_LATITUDE                 = "latitude"             # //緯度
IMGADDDB_LONGITUDE                = "longitude"            # //経度
IMGADDDB_ALTITUDE                 = "altitude"             # //高度
IMGADDDB_DIRECTION                = "direction"            # //方角
IMGADDDB_PITCH                    = "pitch"                # //ピッチ角
IMGADDDB_ROLL                     = "roll"                 # //ロール角
IMGADDDB_SHOOTING_TIME            = "shooting_time"        # //撮影時刻
IMGADDDB_SHOOTING_PLAN_NAME       = "shooting_plan_name"   # //撮影計画名


# // ===== 画像付加DB制御　完了通知 ====
ADD_DB_NOTICE_REGIST_SUCCESS            = 0                # //DB登録完了
ADD_DB_NOTICE_REGIST_ERROR              = 1                # //DB登録失敗
ADD_DB_NOTICE_SHOOT_LIST_MAKE_SUCCESS   = 2                # //撮影計画リスト作成完了
ADD_DB_NOTICE_SHOOT_LIST_MAKE_ERROR     = 3                # //撮影計画リスト作成失敗
ADD_DB_NOTICE_SHOOT_LIST_GET_SUCCESS    = 4                # //撮影計画リスト取得完了
ADD_DB_NOTICE_SHOOT_LIST_GET_ERROR      = 5                # //撮影計画リスト取得失敗
ADD_DB_NOTICE_COORD_GET_SUCCESS         = 6                # //座標指定画像付加データ取得完了
ADD_DB_NOTICE_COORD_GET_ERROR           = 7                # //座標指定画像付加データ取得失敗
ADD_DB_NOTICE_SHOOT_TIME_GET_SUCCESS    = 8                # //撮影時刻順画像付加データ取得完了
ADD_DB_NOTICE_SHOOT_TIME_GET_ERROR      = 9                # //撮影時刻順画像付加データ取得失敗
ADD_DB_NOTICE_MAX                       = 10               # //完了通知MAX



# // ================================================
# //     タイル生成
# // ================================================
# //Jsonファイル関連
MAP_DATA_JSON_FILE_PATH           = "c:/workspase/tmp/MapData.Json"    # //jsonファイルパス

# //完了通知
TILEGENE_NOTICE_GENERATE_SUCCESS  = 0                      # //タイル生成正常終了
TILEGENE_NOTICE_GENERATE_ERROR    = 1                      # //タイル生成異常終了
TILEGENE_NOTICE_MAX               = 2                      # //MAX    


# // ================================================
# //     地図データDB
# // ================================================
# //地図画像付加データ関連
MAPDATA_TILE_NAME_LENGTH     = 15                           # //タイル画像ファイル名のデータ長
MAPDATA_FOLDER_PATH_LENGTH   = 90                           # //フォルダパス
MAPDATA_PLANNAME_LENGTH      = CSV_SHOOTING_PLAN_NAME_LENGH # //合成計画名のデータ長    


# //地図画像付加情報のjsonキー関連            
MAPDATA_GROUP_ID             = "group_id"                  # //グループID
MAPDATA_TILE_BASECODE_X      = "tilebasecoord_x"           # //基準タイルX座標のキー名称
MAPDATA_TILE_BASECODE_Y      = "tilebasecoord_y"           # //基準タイルY座標のキー名称
MAPDATA_TILE_NUM_X           = "tilenum_x"                 # //X軸のタイル総数のキー名称
MAPDATA_TILE_NUM_Y           = "tilenum_y"                 # //Y軸のタイル総数のキー名称
MAPDATA_KEEP_ZOOM_LEVEL      = "keep_zoom"                 # //保有しているズームレベルのキー名称

# //地図画像付加データのjsonキー関連            
MAPDATA_TILE_NAME            = "tilename"                  # //タイル名称のキー名称
MAPDATA_FOLDER_PATH          = "folderpath"                # //フォルダーパスのキー名称
MAPDATA_ZOOM_LEVEL           = "zoomlevel"                 # //ズームレベルのキー名称
MAPDATA_TILECODE_X           = "tilecode_x"               # //タイルX座標のキー名称
MAPDATA_TILECODE_Y           = "tilecode_y"               # //タイルY座標のキー名称
MAPDATA_START_LATITUDE       = "startlatitude"             # //起点座標緯度のキー名称
MAPDATA_START_LONGITUDE      = "startlongitude"            # //起点座標経度のキー名称
MAPDATA_END_LATITUDE         = "endlatitude"               # //終点座標緯度のキー名称
MAPDATA_END_LONGITUDE        = "endlongitude"              # //終点座標経度のキー名称
MAPDATA_CREATE_DATE          = "createdate"                # //作成日のキー名称
MAPDATA_PLAN_NAME            = "syntesispalnname"          # //合成計画名


# //完了通知
MAPDB_REGIST_SUCCESS         = 0                           # //地図データDB登録正常終了
MAPDB_REGIST_ERROR           = 1                           # //地図データDB登録異常終了
MAPDB_GET_ADD_INFO_SUCCESS   = 2                           # //地図画像付加情報の取得正常終了
MAPDB_GET_ADD_INFO_ERROR     = 3                           # //地図画像付加情報の取得異常終了
MAPDB_GET_ADD_DATA_SUCCESS   = 4                           # //地図画像付加データの取得正常終了
MAPDB_GET_ADD_DATA_ERROR     = 5                           # //地図画像付加データの取得異常終了
MAPDB_MAKE_LIST_SUCCESS      = 6                           # //合成計画リスト作成要求完了
MAPDB_MAKE_LIST_ERROR        = 7                           # //合成計画リスト作成要求失敗
MAPDB_GET_LIST_SUCCESS       = 8                           # //合成計画リスト取得要求完了
MAPDB_GET_LIST_ERROR         = 9                           # //合成計画リスト取得要求失敗
MAPDB_DEL_LIST_SUCCESS       = 10                          # //合成計画リスト削除要求完了
MAPDB_DEL_LIST_ERROR         = 11                          # //合成計画リスト削除要求失敗



# // ================================================
# //     地図画像セレクタ
# // ================================================
# //地図画像関連
MAP_IMAGE_FAILENAME          =    "MapImage.png"           # // タイル連結ずみの地図画像ファイル名

# //ズームレベル調整関連            
MASK_ZOOM_18                 = 0x00000001                  # //ズームレベル18用のマスク値
MASK_ZOOM_19                 = 0x00000002                  # //ズームレベル19用のマスク値
MASK_ZOOM_20                 = 0x00000004                  # //ズームレベル20用のマスク値
MASK_ZOOM_21                 = 0x00000008                  # //ズームレベル21用のマスク値
KEEP_ZOOM_LEVEL_MAX          = 15                          # //18、19、20、21保有


# //完了通知            
MAPSEL_NOTICE_SELECT_SUCCESS = 0                           # //地図画像選択正常終了
MAPSEL_NOTICE_SELECT_ERROR   = 1                           # //地図画像選択異常終了
MAPSEL_NOTICE_SCROLL_SUCCESS = 2                           # //地図スクロール正常終了
MAPSEL_NOTICE_SCROLL_ERROR   = 3                           # //地図スクロール異常終了
MAPSEL_NOTICE_ZOOM_SUCCESS   = 4                           # //地図ズームレベル切り替え正常終了
MAPSEL_NOTICE_ZOOM_ERROR     = 5                           # //地図ズームレベル切り替え異常終了
MAPSEL_NOTICE_MAPCHG_SUCCESS = 6                           # //地図切り替え正常終了
MAPSEL_NOTICE_MAPCHG_ERROR   = 7                           # //地図切り替え異常終了



# // ================================================
# //     Crawler View画像合成
# // ================================================
# // 完了通知



# // ================================================
# //     Crawler画像セレクト
# // ================================================
# // 完了通知
CRAWLER_SEL_NOTICE_SELECT_SUCCESS      = 0                 # //クローラ画像選択正常終了
CRAWLER_SEL_NOTICE_SELECT_ERROR        = 1                 # //クローラ画像選択異常終了
CRAWLER_SEL_NOTICE_SLIDE_SUCCESS       = 2                 # //スライド切り替え正常終了
CRAWLER_SEL_NOTICE_SLIDE_ERROR         = 3                 # //スライド切り替え異常終了
CRAWLER_SEL_NOTICE_MAX                 = 4                 # //MAX                
